<template>
  <div class="p-10">
    <NuxtLink
      class="mr-5 bg-gray-200 hover:bg-gray-300 border border-gray-400 text-black font-bold py-2 px-6 rounded-md"
      to="/"
    >
      List astre
    </NuxtLink>
    <div class="px-6 py-4">
      <div class="font-bold text-xl mb-2">
        {{ astre.name }}
      </div>
      <div class="font-bold text-xl mb-2">
        semimajorAxis: {{ astre.semimajorAxis }}
      </div>
      <div class="font-bold text-xl mb-2">
        perihelion: {{ astre.perihelion }}
      </div>
      <div class="font-bold text-xl mb-2">
        aphelion: {{ astre.aphelion }}
      </div>
      <div class="font-bold text-xl mb-2">
        eccentricity: {{ astre.eccentricity }}
      </div>
      <div class="font-bold text-xl mb-2">
        inclination: {{ astre.inclination }}
      </div>
      <div class="font-bold text-xl mb-2">
        massValue: {{ astre.mass.massValue }}
      </div>
      <div class="font-bold text-xl mb-2">
        massExponent: {{ astre.mass.massExponent }}
      </div>
      <div class="font-bold text-xl mb-2">
        volValue: {{ astre.vol.volValue }}
      </div>
      <div class="font-bold text-xl mb-2">
        volExponent: {{ astre.vol.volExponent }}
      </div>
      <div class="font-bold text-xl mb-2">
        density: {{ astre.density }}
      </div>
      <div class="font-bold text-xl mb-2">
        gravity: {{ astre.gravity }}
      </div>
      <div class="font-bold text-xl mb-2">
        escape: {{ astre.escape }}
      </div>
      <div class="font-bold text-xl mb-2">
        meanRadius: {{ astre.meanRadius }}
      </div>
      <div class="font-bold text-xl mb-2">
        equaRadius: {{ astre.equaRadius }}
      </div>
      <div class="font-bold text-xl mb-2">
        polarRadius: {{ astre.polarRadius }}
      </div>
      <div class="font-bold text-xl mb-2">
        flattening: {{ astre.flattening }}
      </div>
      <div class="font-bold text-xl mb-2">
        sideralOrbit: {{ astre.sideralOrbit }}
      </div>
      <div class="font-bold text-xl mb-2">
        sideralRotation: {{ astre.sideralRotation }}
      </div>
      <div class="font-bold text-xl mb-2">
        axialTilt: {{ astre.axialTilt }}
      </div>
      <h2 v-if="astre.moons != null" class="font-bold text-xl mb-2">
      List moon :
    </h2>
      <div v-for="moons in astre.moons" :key="moons.moon">
      <NuxtLink :to="`/astre/${moons.moon.toLowerCase()}`">
        {{ moons.moon }}
      </NuxtLink>
    </div>
    </div>
  </div>
</template>
<script>
export default {
  async asyncData ({
    params,
    $axios,
    error
  }) {
    const id = params.id
    try {
      const astre = await $axios.$get(`https://api.le-systeme-solaire.net/rest/bodies/${id}`)
      return {
        astre
      }
    } catch (e) {
      error(e) // Show the nuxt error page with the thrown error
    }
  }
}
</script>
